/// Scheduler priority model
#[derive(Clone, Copy, Debug)]
pub enum Priority {
    /// Exclusively Kernel space | 20 Timer Tick execution time
    High,
    /// Kernel / User space | 15 Timer Tick execution time
    Medium,
    /// low priority userspace code | 10 Timer Tick execution time
    Low,
}
